Subject: [ANCP] ANCP & PON - proposal regarding Integrated Multicast/VoD Bandwidth Management

From: Francois Le Faucheur <[email-masked]>
Date: Mon, 8 Nov 2010 16:11:57 +0800

Hi,

As part of the discussion on ANCP for PON, there was a question about whether the discussion about "Integrated Multicast/VoD Bandwidth Management" that is in the current ancp-pon WG document is specific to PON or also applicable to DSL.

As discussed in ancp-pon, PON has the following bottlenecks on which to manage bandwidth:
	o (P-a) the NAS-->OLT link
	o (P-b) the PON segment
	o (P-c) the "last-mile" ie port on ONT/ONU

In DSL, the following bottlenecks could be modeled:
	o (D-a) the NAS Downstream link:
		this is the NAS-->AN link, when AN is directly attached to the NAS
		this is the NAS-->Agg-net, when there is some Agg network between NAS and AN
	o (D-b) This is the Agg-net when there is such an Agg network between NAS and AN
	o (D-c) the "last-mile" ie AN port

If I remember correctly:
	o ancp-pon covers all the PON bottlenecks ie (P-a), (P-b) and (P-c). Note that dealing with (P-b) is PON-specific.
	o anc-mc-extensions only explicitly covers (D-c) and does not discuss (D-a) and (D-b).

One proposal to move forward would be that :
	o ancp-pon continues covering (P-a), (P-b) and (P-c). This would ensure that it provides a comprehensive discussion on admission control in the PON environment
	o ancp-mc-extensions is updated to (hopefully briefly and without protocol extensions) discuss bandwidth management over (D-a) and (D-b) to ensure comprehensive coverage of DSL environment. On that one:
		* I would propose that (D-b) is declared "for further study" since there does not seem to be a strong requirement to do explicit per-flow bandwidth management over an aggregation network between NAS & AN.
		* I would propose that (D-a) be dealt with in a simple fashion (and similar to how it is done in ancp-pon for P-a but that needs further investigation) ie:
			+ when admission control is handled by NAS without bandwidth delegation, then the NAS can do integrated bandwidth management over (D-a) by "admitting" the mcast flows & VoD flows over the NAS downstream link
			+ when admission control is handled by NAS with bandwidth delegation, then the NAS cannot accurately do bandwidth management over (D-a) because (i) it does not have visibility on which multicast flow is used on each port and (ii) the NAS is only aware of the bandwidth delegated but not the bandwidth really use. As a conservative approach, the NAS could still "admit" the _delegated_ mcast bandwidth delegated on every AN port & admit VoD flows (over the NAS downstream link) but this is obviously over-reserving. As an option, where Committed Bandwidth Reporting is supported (see section 3.4 of ancp-mc-extsnions), the NAS could perform its admission control for multicast based on the "Committed Bandwidth" reported by AN; this would address the inaccuracies due to (ii) but not those due to (i).
			+ need to think more about what can be said in case where admission control is done by AN: AN can do admission control over (D-a) but am not sure about how to describe how this could integrated with unicast VoD

Makes sense?

Francois